﻿Public Class frm3TabulkyLINQ

    Private Sub TblZakaznikBindingNavigatorSaveItem_Click(sender As System.Object, e As System.EventArgs) Handles TblZakaznikBindingNavigatorSaveItem.Click
        Me.Validate()
        Me.TblZakaznikBindingSource.EndEdit()
        Me.TableAdapterManager.UpdateAll(Me.DsVzor)
    End Sub

    Private Sub frm3TabulkyLINQ_Load(sender As System.Object, e As System.EventArgs) Handles MyBase.Load
        'TODO: This line of code loads data into the 'DsVzor.tblVyrobek' table. You can move, or remove it, as needed.
        Me.TblVyrobekTableAdapter.Fill(Me.DsVzor.tblVyrobek)
        'TODO: This line of code loads data into the 'DsVzor.tblPropojovaciZ_V' table. You can move, or remove it, as needed.
        Me.TblPropojovaciZ_VTableAdapter.Fill(Me.DsVzor.tblPropojovaciZ_V)
        'TODO: This line of code loads data into the 'DsVzor.tblZakaznik' table. You can move, or remove it, as needed.
        Me.TblZakaznikTableAdapter.Fill(Me.DsVzor.tblZakaznik)
    End Sub

    Private Sub TblZakaznikBindingSource_PositionChanged(sender As Object, e As System.EventArgs) Handles TblZakaznikBindingSource.PositionChanged
        'pomocí LINQ se vytvoří propojení 3 tabulek
        Dim query =
            From zak In DsVzor.tblZakaznik
            Join prop In DsVzor.tblPropojovaciZ_V
            On zak.Identifikacni_cislo_zakaznika Equals prop.Identifikacni_cislo_zakaznika
            Join vyr In DsVzor.tblVyrobek
            On prop.Cislo_vyrobku Equals vyr.Cislo_vyrobku
            Where zak.Identifikacni_cislo_zakaznika = TblZakaznikBindingSource.Current("Identifikacni_cislo_zakaznika")
            Select vyr.Cislo_vyrobku, vyr.Nazev_vyrobku, zak.Nazev_zakaznika     'seznam vybranych sloupecku z tohoto dotazu

        dgvVyrobky.DataSource = query.ToList
        'zobrazeni nazvu sloupecku
        dgvVyrobky.Columns(0).HeaderText = "Číslo výrobku"
        dgvVyrobky.Columns(1).HeaderText = "Název výrobku"
        dgvVyrobky.Columns(2).HeaderText = "Název zákazníka"
    End Sub
End Class
